Subject: Re: bug#4894: 23.1; emacs ignores number characters in incremental search in keyboard macros

From: Petr Machata <[email-masked]>
Date: Wed, 11 Nov 2009 15:23:42 +0100

On Wed, Nov 11, 2009 at 11:42 AM, Juri Linkov <[email-masked]> wrote:
> Do you type these zeroes with a numpad?  I can reproduce this bug when
> zeroes are typed with <kp-0>, so the last macro doesn't contain zeroes.

Indeed I do.  Other characters entered using a numeric keypad are
ignored too, just as you say.

> The reason is an intentional call to `cancel-kbd-macro-events'

I thought it might be intentional, but couldn't google anything
relevant.  I would still consider it very unintuitive, if not a bug.

PM